<?php

namespace CouponsPlus\App\Coupon\Tree\Notifications\Buttons;

use CouponsPlus\App\Coupon\Tree\Abilities\URL;

class DirectURL implements URL
{
    public const TYPE = 'url';

    protected string $url;

    public function __construct(string $url)
    {
        $this->url = $url;
    }

    public function getUrl(): string
    {
        return $this->url;
    }
}